MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032428Community[OCCT] OCCT:Documentationpublic2021-06-09 13:482021-06-13 11:56
Reporterkgv 
Assigned Tokgv 
PrioritynormalSeveritytweak 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.2.0 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032428: Documentation, AIS_InteractiveContext - put cross-references between MoveTo() and HighlightStyle()
DescriptionPutting cross-references between AIS_InteractiveContext::MoveTo() and AIS_InteractiveContext::HighlightStyle() might help user to understand how highlighting style could be customized.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
child of 0025695closedapn Visualization, AIS_InteractiveContext - define default HilightMode 

-  Notes
(0101707)
git (administrator)
2021-06-09 14:43

Branch CR32428 has been created by kgv.

SHA-1: aa71e826ca5088ae9fa7b8e03c11c4aa1eb50ef4


Detailed log of new commits:

Author: kgv
Date: Wed Jun 9 13:50:00 2021 +0300

    0032428: Documentation, AIS_InteractiveContext - put cross-references between MoveTo() and HighlightStyle()
    
    Added more @sa section between methods.
    Deprecated Select() methods have been moved to the section with obsolete methods.
    Methods delimiter within @sa listing has been changed from '/' to ',' for proper Doxygen generation results.
(0101708)
kgv (developer)
2021-06-09 15:31

Please raise the patch
- OCCT: branch CR32428.
(0101808)
bugmaster (administrator)
2021-06-13 11:12

Combination -
OCCT branch : IR-2021-06-11
master SHA - f9ab9f7f1c949c9da13f42443208a6e9b0e41d70
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-06-11 SHA - d56d13cc84edf3d8321cc5373683872ec5a9fe74
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17450.34000000035 / 17504.380000000427 [-0.31%]
Products
Total CPU difference: 11477.360000000128 / 11532.860000000106 [-0.48%]
Windows-64-VC14:
OCCT
Total CPU difference: 19191.5625 / 19141.46875 [+0.26%]
Products
Total CPU difference: 12904.59375 / 12831.25 [+0.57%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0101816)
git (administrator)
2021-06-13 11:56

Branch CR32428 has been deleted by mnt.

SHA-1: aa71e826ca5088ae9fa7b8e03c11c4aa1eb50ef4

- Related Changesets
occt: master aa71e826
Timestamp: 2021-06-09 10:50:00
Author: kgv
Details ] Diff ]
0032428: Documentation, AIS_InteractiveContext - put cross-references between MoveTo() and HighlightStyle()

Added more @sa section between methods.
Deprecated Select() methods have been moved to the section with obsolete methods.
Methods delimiter within @sa listing has been changed from '/' to ',' for proper Doxygen generation results.
mod - src/AIS/AIS_InteractiveContext.hxx Diff ] File ]
mod - src/PrsMgr/PrsMgr_PresentableObject.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-06-09 13:48 kgv New Issue
2021-06-09 13:48 kgv Assigned To => kgv
2021-06-09 14:43 git Note Added: 0101707
2021-06-09 15:31 kgv Note Added: 0101708
2021-06-09 15:31 kgv Assigned To kgv => bugmaster
2021-06-09 15:31 kgv Status new => resolved
2021-06-09 15:31 kgv Status resolved => reviewed
2021-06-09 15:33 kgv Relationship added child of 0025695
2021-06-09 15:33 kgv Product Version 7.5.0 => 7.2.0
2021-06-13 11:12 bugmaster Note Added: 0101808
2021-06-13 11:12 bugmaster Status reviewed => tested
2021-06-13 11:28 bugmaster Test case number => Not required
2021-06-13 11:41 kgv Changeset attached => occt master aa71e826
2021-06-13 11:41 kgv Assigned To bugmaster => kgv
2021-06-13 11:41 kgv Status tested => verified
2021-06-13 11:41 kgv Resolution open => fixed
2021-06-13 11:56 git Note Added: 0101816


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker